=== debian/changelog ===
lutris (0.5.20) jammy; urgency=medium

  * Proton-GE launched via umu is now the default. Umu takes care of keeping Proton-GE up to date.
  * Fix Proton integration bugs so Proton-fixes are applied
  * Do not offer VKD3D, D3D Extras or DXVK-NVAPI on Proton versions; Proton will handle these.
  * The "Enable Esync" and "Enable Fsync" and "DXVK" settings are now passed on to Proton
  * DXVK's integrated D8VK will be enabled in Proton
  * Wine runner adds an option to select Wine's "Wayland driver"
  * Add little buttons to select covert-art, banner and icons via URL in game configuration
  * Cover-art or banners from sources will be used when Lutris media is not available
  * Emulator BIOS file location (used by libretro) may be set in Preferences
  * Fix for updated Flathub API
  * Change Itch.io over to the use of API keys instead of usernames and passwords
  * Update EA App source to their new API
  * Simplify Itcho.io collections- if you have no collection named "Lutris", we will show all games
  * MAME Machine setting uses a searchable entry for its enormous list
  * Obtain the release year from GOG and Itch.io
  * Add "Azahar" runner
  * Add "ZOOM Platform" source
  * Add "Steam Family" source to support Steam Families
  * Updated versions of runners for TIC-80, EasyRPG, mGBA, Rosalie's Mupen GUI, Ruffle, 86Box
  * Ryujinx runner can now specific 'application ID' for your multi-game XCIs.
  * Support for importing Commodore 64 ROMs
  * Support ICDs for Intel Xe GPUs
  * Add option for 'ptyxis' terminal
  * Redundant "Add Games" menu item removed; use the plus button in the corner
  * Option to hide a source's games from also appearing in the Games view
  * "Manual Script" for the context menu will now see the game's environment variables
  * Add "Create Steam Big Picture shortcut" to the context menu
  * Add a file association to run .lutris installer files via double-click
  * Fix compatibility with Python 3.14

 -- Mathieu Comandon <mathieucomandon@gmail.com>  Sun, 23 Feb 2025 10:55:10 -0800

lutris (0.5.18) jammy; urgency=medium

  * Lutris downloads the latest GE-Proton build for Wine if any Wine version is installed
  * Use dark theme by default
  * Display cover-art rather than banners by default
  * Add 'Uncategorized' view to sidebar
  * Preference options that do not work on Wayland will be hidden when on Wayland
  * Game searches can now use fancy tags like 'installed:yes' or 'source:gog', with explanatory tool-tip
  * A new filter button on the search box can build many of these fancy tags for you
  * Runner searches can use 'installed:yes' as well, but no other fancy searches or anything
  * Updated the Flathub and Amazon source to new APIs, restoring integration
  * Itch.io source integration will load a collection named 'Lutris' if present
  * GOG and Itch.io sources can now offer Linux and Windows installers for the same game
  * Added support for the 'foot' terminal
  * Support for DirectX 8 in DXVK v2.4
  * Support for Ayatana Application Indicators
  * Additional options for Ruffle runner
  * Updated download links for the Atari800 and MicroM8 runners
  * No longer re-download cached installation files even when some are missing
  * Lutris log is included in the 'System' tab of the Preferences window
  * Improved error reporting, with the Lutris log included in the error details
  * Add AppArmor profile for Ubuntu versions >= 23.10
  * Add Duckstation runner

 -- Mathieu Comandon <mathieucomandon@gmail.com>  Sun, 1 Dec 2024 12:00:00 -0700

lutris (0.5.17) jammy; urgency=medium

  * Fix critical bug preventing completion of installs if the script specifies a wine version
  * Fix critical bug preventing Steam library sync
  * Fix critical bug preventing game or runner uninstall in Flatpak
  * Support for library sync to lutris.net, this allows to sync games, play
    time and categories to multiple devices.
  * Remove "Lutris" service view; with library sync the "Games" view replaces it.
  * Torturous and sadistic options for multi-GPUs that were half broken and understood by no one have been replaced by a simple GPU selector.
  * EXPERIMENTAL support for umu, which allows running games with Proton and
    Pressure Vessel. Using Proton in Lutris without umu is no longer possible.
  * Better and sensible sorting for games (sorting by playtime or last played no longer needs to be reversed)
  * Support the "Categories" command when you select multiple games
  * Notification bar when your Lutris is no longer supported
  * Improved error dialog.
  * Add Vita3k runner (thanks @ItsAllAboutTheCode)
  * Add Supermodel runner
  * WUA files are now supported in Cemu
  * "Show Hidden Games" now displays the hidden games in a separate view, and re-hides them as soon as you leave it.
  * Support transparent PNG files for custom banner and cover-art
  * Images are now downloaded for manually added games.
  * Deprecate 'exe', 'main_file' or 'iso' placed at the root of the script,
    all lutris.net installers have been updated accordingly.
  * Deprecate libstrangle and xgamma support.
  * Deprecate DXVK state cache feature (it was never used and is no longer relevant to DXVK 2)

 -- Mathieu Comandon <mathieucomandon@gmail.com>  Wed, 03 Apr 2024 13:49:49 -0700

lutris (0.5.16) jammy; urgency=medium

  * Fix bug that prevented installers to complete
  * Better handling of Steam configurations for the Steam account picker
  * Load game library in a background thread

 -- Mathieu Comandon <mathieucomandon@gmail.com>  Mon, 15 Jan 2024 16:10:35 -0800

lutris (0.5.15) jammy; urgency=medium

  * Fix some crashes happening when using Wayland and a high DPI gaming mouse
  * Fix crash when opening the system preferences tab for a game
  * Reduced the locales list to a predefined one (let us know if you need yours added)
  * Fix Lutris not expanding "~" in paths
  * Download runtime components from the main window,
    the "updating runtime" dialog appearing before Lutris opens has been removed

