=== debian/control ===
Source: lutris
Section: games
Priority: optional
Maintainer: Mathieu Comandon <mathieucomandon@gmail.com>
Build-Depends: debhelper-compat (= 12),
               appstream,
               dh-apparmor,
               dh-sequence-python3,
               meson,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://lutris.net
Vcs-Browser: https://github.com/lutris/lutris
Vcs-Git: https://github.com/lutris/lutris.git

Package: lutris
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-yaml,
         python3-lxml,
         python3-requests,
         python3-pil,
         python3-gi,
         python3-gi-cairo,
         python3-setproctitle,
         python3-magic,
         python3-distro,
         python3-dbus,
         gir1.2-gtk-3.0,
         gir1.2-webkit2-4.0 | gir1.2-webkit2-4.1,
         gir1.2-notify-0.7,
         psmisc,
         cabextract,
         unzip,
         p7zip,
         curl,
         fluid-soundfont-gs,
         x11-xserver-utils,
         mesa-utils,
         vulkan-tools,
Recommends: python3-evdev,
            python3-protobuf,
            python3-pefile,
            gvfs-backends,
            libwine-development | libwine,
            winetricks,
            fluidsynth,
            gamescope,
            gamemode,
            xdg-desktop-portal,
            xdg-desktop-portal-gtk | xdg-desktop-portal-kde,
Description: video game preservation platform
 Lutris helps you install and play video games from all eras and from most
 gaming systems. By leveraging and combining existing emulators, engine
 re-implementations and compatibility layers, it gives you a central interface
 to launch all your games.
